Skip to main content
GET
Find files

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

dataset_id
integer
required

Unique identifier for a dataset.

Query Parameters

per_page
integer

Number of records to return.

offset
integer

Number of records to skip (it's usually page_number * per_page).

timestamp.gte
string

ISO-8601 timestamp that will be inclusively used as minimal timestamp of a snapshot.

from_snapshot_id
number

Snapshot Id that will be inclusively used as the beginning of snapshot search range. That snapshot should exist.

Response

Ok

files_per_snapshot
object[]
required
has_next
boolean
required

Pagination-related flag that shows if there are more snapshots to query.

next_snapshot
number
required

The id of the snapshot that could be used as search parameter to get next page. Unlike 'offset', guarantees no 'floating pages' issues